import { IngredientNames, Ingredients } from '@/interfaces/Ingredients';
import BuildControl from './BuildControl/BuildControl';
import './BuildControls.css';

interface Props {
    ingredients: Ingredients
    price: number
    lessHandler: (ingKey: IngredientNames) => void
    moreHandler: (ingKey: IngredientNames) => void
}

const BuildControls = ({ingredients, price, lessHandler, moreHandler}: Props) => {
    const ingKeys = Object.keys(ingredients)

    return (
        <div className='BuildControls'>
            <p>Current Price: <strong>{price} ₸</strong></p>

            {
                ingKeys.map((ingKey, index) => (
                    <BuildControl 
                        key={ingKey + index} 
                        type={ingKey as IngredientNames}
                        moreHandler={() => moreHandler(ingKey as IngredientNames)}
                        lessHandler={() => lessHandler(ingKey as IngredientNames)}
                        disabled={!Boolean(ingredients[ingKey as IngredientNames])}
                    />
                ))
            }
        </div>
    );
}

export default BuildControls;
